Index: src/main/groovy/org/gradle/api/plugins/JavaPlugin.java
===================================================================
--- src/main/groovy/org/gradle/api/plugins/JavaPlugin.java	(revision 791)
+++ src/main/groovy/org/gradle/api/plugins/JavaPlugin.java	Thu Aug 21 06:37:01 SAST 2008
@@ -34,10 +34,7 @@
 import org.gradle.util.GUtil;
 import org.gradle.util.GroovyJavaHelper;
 
-import java.util.Collections;
-import java.util.HashMap;
-import java.util.List;
-import java.util.Map;
+import java.util.*;
 
 /**
  * @author Hans Dockter
@@ -109,8 +106,12 @@
         Bundle libsBundle = (Bundle) project.createTask(GUtil.map("type", Bundle.class, "dependsOn", TEST), LIBS);
         libsBundle.conventionMapping(DefaultConventionsToPropertiesMapping.LIB);
         Jar jar = libsBundle.jar();
+
+        ArrayList list = new ArrayList();
+        list.add(new FileSet(javaConvention.getClassesDir()));
+
         jar.conventionMapping(GUtil.map("resourceCollections",
-                GroovyJavaHelper.createConventionClosure(Collections.singletonList(new FileSet(javaConvention.getClassesDir())))));
+                GroovyJavaHelper.createConventionClosure(list)));
 
         Upload libsUpload = (Upload) project.createTask(GUtil.map("type", Upload.class, "dependsOn", LIBS), UPLOAD_LIBS);
         libsUpload.getBundles().add(project.task(LIBS));
